Subject: Re: bug#30039: 26.0.90; [26.1] Making my code warning free is impossible with when-let

From: Nicolas Petton <[email-masked]>
Date: Wed, 10 Jan 2018 17:24:43 +0100

Eli Zaretskii <[email-masked]> writes:

>> That’s a question we need to answer. I think supporting 2 releases would
>> already be good (i.e., 26.1 does not deprecate but 26.2 does).
>
> That's not how we deprecate stuff.  We never wait with deprecation,
> only with the actual removal.

But in this case it leads to an issue with linting: when-let cannot be
used in packages if we want to support both Emacs 25 and 26, since
when-let has been deprecated and when-let* didn't exist in Emacs 25.

Of course the linter could be tweaked in the CI to keep builds green,
but that feels like a hack.

Nico